Bug 243181 - Need blacklist for Lanczos filter
Summary: Need blacklist for Lanczos filter
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: VHI normal (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
: 240354 243063 243099 245397 245803 247560 247998 248230 249697 252095 252931 255245 255334 255779 256791 258861 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-06-29 17:49 UTC by Martin Flöser
Modified: 2011-04-06 12:25 UTC (History)
26 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Output of glxinfo (Mobile Intel® GM45 Express Chipset) (10.84 KB, application/octet-stream)
2010-07-05 15:59 UTC, Elias Probst
Details
Output of glxinfo (16.83 KB, text/plain)
2010-07-05 19:10 UTC, Brian Beck
Details
automated extraction of blacklist lines from gl(x)info (269 bytes, text/plain)
2010-07-22 16:23 UTC, Michal Svoboda
Details
glfinfo for card Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03) (10.82 KB, text/plain)
2010-08-11 23:20 UTC, Adam Pigg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Flöser 2010-06-29 17:49:27 UTC
Version:           unspecified (using Devel) 
OS:                Linux

We need a blacklist for all the drivers that do not support the Lanczos filter properly. My idea is to have a kconf file with key being the vendor (e.g. Intel, Ati) and as value a list of driver versions. So the distributions could also update the blacklist by using kconf update scripts.

I opened a new bug report as we have several issues which will be fixed by this blacklist, this includes:
 * inverted thumbnails
 * too bright thumbnails
 * performance problems

Please set all new bug reports to these issues as duplicate as this one. Today unfortunately showed that we will receive many reports :-(

Reproducible: Didn't try
Comment 1 Martin Flöser 2010-06-29 17:50:25 UTC
*** Bug 243099 has been marked as a duplicate of this bug. ***
Comment 2 Martin Flöser 2010-06-29 17:51:04 UTC
*** Bug 243063 has been marked as a duplicate of this bug. ***
Comment 3 Martin Flöser 2010-06-29 17:53:25 UTC
*** Bug 240354 has been marked as a duplicate of this bug. ***
Comment 4 Stefano 2010-07-01 10:26:49 UTC
Looks like these issues are hit by people with intel cards and even the latest release of the xorg driver does not work. Is anyone aware of the fact that intel developers are tackling this problem?
Comment 5 Elias Probst 2010-07-01 20:07:51 UTC
Searching the FDO bugtracker for 'ALL lanczos' doesn't reveal anything Intel related.

Could someone with enough detail knowledge of this issue please file a bug at the FDO bugtracker?

I'd love to have this fixed as soon as possible by the Intel devs as the user experience with this bug is really really poor - makes one want to revert to KDE 4.4 :(
Comment 6 Martin Flöser 2010-07-01 20:19:49 UTC
> Searching the FDO bugtracker for 'ALL lanczos' doesn't reveal anything
> Intel related.
Of course you won't find anything with lanczos as that is just one of many 
possible uses which triggers the bug. You would have to search for shader or 
similar.
> I'd love to have this fixed as soon as possible by the Intel devs as the
> user experience with this bug is really really poor - makes one want to
> revert to KDE 4.4 :(
We won't ship 4.5 with a bug causing such damage. We will either implement a 
blacklist or disable the filter.
Comment 7 Martin Flöser 2010-07-05 15:32:27 UTC
SVN commit 1146195 by graesslin:

Support for adding a driver blacklist to be used in the lanczos filter and blur effect.
It uses a new config group Blacklist in kwinrc with two subgroups for Lanczos and Blur.
The key of each entry in the group referrences the vendor either using GL_VENDOR or GL_RENDERER, e.g. "Intel" in renderer for Intel based chips.
The value of the entries is a stringlist containing exactly the renderer information. This way it is possible to blacklist several mesa driver versions which are buggy.
The blacklist is currently empty and will be filled with a kconf update script (which could also be done by distributions). So all users who experience problems and are subscribed to the bugs receiving this message, please upload your glxinfo.
An example for a blacklist:
[Blacklist][Lanczos]
NVIDIA=GeForce 9400M/PCI/SSE2

CCBUG: 243181
CCBUG: 242985

 M  +11 -1     effects/blur/blur.cpp  
 M  +9 -0      lanczosfilter.cpp  
 M  +32 -0     lib/kwineffects.cpp  
 M  +10 -0     lib/kwineffects.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1146195
Comment 8 Martin Flöser 2010-07-05 15:37:15 UTC
SVN commit 1146196 by graesslin:

Backport rev 1146195:
Support for adding a driver blacklist to be used in the lanczos filter and blur effect.
It uses a new config group Blacklist in kwinrc with two subgroups for Lanczos and Blur.
The key of each entry in the group referrences the vendor either using GL_VENDOR or GL_RENDERER, e.g. "Intel" in renderer for Intel based chips.
The value of the entries is a stringlist containing exactly the renderer information. This way it is possible to blacklist several mesa driver versions which are buggy.
The blacklist is currently empty and will be filled with a kconf update script (which could also be done by distributions). So all users who experience problems and are subscribed to the bugs receiving this message, please upload your glxinfo.
An example for a blacklist:
[Blacklist][Lanczos]
NVIDIA=GeForce 9400M/PCI/SSE2
    
CCBUG: 243181
CCBUG: 242985



 M  +11 -1     effects/blur/blur.cpp  
 M  +9 -0      lanczosfilter.cpp  
 M  +32 -0     lib/kwineffects.cpp  
 M  +10 -0     lib/kwineffects.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1146196
Comment 9 Elias Probst 2010-07-05 15:59:27 UTC
Created attachment 48605 [details]
Output of glxinfo (Mobile Intel® GM45 Express Chipset)

Does anyone know of a LiveCD containing 4.5 RC1? I have another computer with a Intel graphics controller where I could test whether this issue occurs there too.
Comment 10 Martin Flöser 2010-07-05 17:50:03 UTC
The problem occurs for you for blur or taskbar thumbnails or both?
Comment 11 Stefano 2010-07-05 18:14:08 UTC
OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20100328 2010Q1 
OpenGL version string: 2.1 Mesa 7.8.2

Blur works. Taskbar thumbnails are too bright.
Comment 12 Stefano 2010-07-05 18:18:35 UTC
(In reply to comment #11)
> OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20100328 2010Q1 
> OpenGL version string: 2.1 Mesa 7.8.2
> 
> Blur works. Taskbar thumbnails are too bright.

Sorry, do you need the whole glxinfo output?
Comment 13 Brian Beck 2010-07-05 19:10:38 UTC
Created attachment 48609 [details]
Output of glxinfo

Output of glxinfo on my Acer Aspire 5720Z laptop with "Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)" chipset.

Present Windows is too bright, but blur seems to work ok.
Comment 14 Martin Flöser 2010-07-05 22:15:51 UTC
> --- Comment #12 from Stefano <stavallo unina it>  2010-07-05 18:18:35 ---
> Sorry, do you need the whole glxinfo output?
No that is in fact sufficient. I only need vendor and renderer string and in 
case of Intel I will only use renderer, that is "Intel", to identify the 
vendor.
Comment 15 Elias Probst 2010-07-13 04:02:43 UTC
I can't get the blacklist working here on RC2.

What's shown in the debugging output when starting kwin:

kwin(28299) KWin::CompositingPrefs::detectDriverAndVersion: GL vendor is "Tungsten Graphics, Inc" 
kwin(28299) KWin::CompositingPrefs::detectDriverAndVersion: GL renderer is "Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100328 2010Q1 " 
kwin(28299) KWin::CompositingPrefs::detectDriverAndVersion: GL version is "2.1 Mesa 7.8.2" 
kwin(28299) KWin::CompositingPrefs::detectDriverAndVersion: Detected driver "intel" , version "20100328"

So I'm using this blacklist in my kwinrc now:

[Blacklist][Lanczos]
INTEL=Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100328 2010Q1
Tungsten Graphics, Inc=Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100328 2010Q1

But neither using INTEL nor the actual GL_VENDOR as key seemed to work.
Did anyone get it working?
Comment 16 Martin Flöser 2010-07-13 18:31:23 UTC
Sorry the format of the blacklist has slightly changed. Please have a look at 
http://blog.martin-graesslin.com/blog/2010/07/blacklisting-drivers-for-some-
kwin-effects/

Please also note that your driver has an additional whitespace at the end of 
the renderer string. This one is currently required, but won't be in the final 
release (if I find the time to change it).
Comment 17 Stefano 2010-07-13 19:03:04 UTC
I added:

[Blacklist][Lanczos]
intel=Mesa DRI Intel(R) 965GM GEM 20100328 2010Q1 :-:2.1 Mesa 7.8.2

to my kwinrc and now taskbar thumbnails are correctly shown, yay!

BTW I discovered it is hard to live without the present windows effect for window switching!
Comment 18 Elias Probst 2010-07-13 21:32:55 UTC
Got the blacklisting finally working using these entry:

[Blacklist][Lanczos]
intel=Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100328 2010Q1 :-:2.1 Mesa 7.8.2

It does only work with the strange messed up character between 'Intel' and the ® sign!

The thumbnails are now fine again, but the overall performance is still really bad.

Were there any other changes between 4.4 and 4.5 which could affect performance that drastically?
Comment 19 Thomas Lübking 2010-07-13 22:36:05 UTC
(In reply to comment #18)
> It does only work with the strange messed up character between 'Intel' and the ® sign!

"®" is the UTF-8 representation of of latin-1 "®"
a) what editor do you use
b) what encoding does it use? (in  doubt, check with kwrite/kate where you can easily change the encoding)
Comment 20 Elias Probst 2010-07-14 19:02:47 UTC
(In reply to comment #19)
> "®" is the UTF-8 representation of of latin-1 "®"
> a) what editor do you use
> b) what encoding does it use? (in  doubt, check with kwrite/kate where you can
> easily change the encoding)

I'm using a utf-8 system - no latin-1 involved at all.
I'm getting the ® as a result of the output when starting kwin which produces this lines:

kwin(8883) KWin::CompositingPrefs::detect: glx version is  1 . 2
kwin(8883) KWin::CompositingPrefs::detectDriverAndVersion: GL vendor is "Tungsten Graphics, Inc" 
kwin(8883) KWin::CompositingPrefs::detectDriverAndVersion: GL renderer is "Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20100328 2010Q1 " 
kwin(8883) KWin::CompositingPrefs::detectDriverAndVersion: GL version is "2.1 Mesa 7.8.2" 
kwin(8883) KWin::CompositingPrefs::detectDriverAndVersion: Detected driver "intel" , version "20100328"

The GL_RENDERER string isn't messed up at all in the output of glxinfo - I'm wondering whether probably kwin messes up the encoding here.

So it actually has nothing to do with the encoding of my kwinrc file.
Comment 21 Martin Flöser 2010-07-14 19:36:32 UTC
> The GL_RENDERER string isn't messed up at all in the output of glxinfo -
> I'm wondering whether probably kwin messes up the encoding here.
For the blacklist it doesn't matter. I will change to a contains() instead of 
equals(), so we can just check for e.g. "GM45 Express Chipset GEM 20100328". 
Intel is already part of the key, so not a problem, if it's missing.
Comment 22 Thomas Lübking 2010-07-14 19:37:18 UTC
@martin
no idea where the driver info is read (for the blacklist), but might require QString::fromLocal8Bit(char*) instead of QString(char*)
Comment 23 Martin Flöser 2010-07-15 20:59:20 UTC
SVN commit 1150353 by graesslin:

Intel drivers add a whitespace at the end of the renderer string which makes it impossible to get a good blacklist with equal comparison.
So let's switch to a contains check, which makes it easier to have a blacklist, e.g. just GeForce.
CCBUG: 243181
CCBUG: 242985

 M  +9 -4      kwineffects.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1150353
Comment 24 Martin Flöser 2010-07-15 21:01:14 UTC
SVN commit 1150354 by graesslin:

Backport rev 1150353:
Intel drivers add a whitespace at the end of the renderer string which makes it impossible to get a good blacklist with equal comparison.
So let's switch to a contains check, which makes it easier to have a blacklist, e.g. just GeForce.
CCBUG: 243181
CCBUG: 242985



 M  +9 -4      kwineffects.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1150354
Comment 25 Martin Flöser 2010-07-15 22:42:31 UTC
SVN commit 1150382 by graesslin:

First version of blacklist update script.
It blacklists for Lanczos
Intel: GM45 Express with Mesa 7.8.2 and 965GM with Mesa 7.7.1 and 7.8.2
Ati: DRI R600 with Mesa 7.8.1 and 7.8.2

For Blur
Intel: currently no card (we have to block all cards in the effect)
Ati: Mesa drivers as for Lanczos and Radeon HD 3650 with fglrx driver 3.3.9901
NVIDIA: GeForce 6150 with driver series 195

This is what I could read from the bug reports. There must be more versions which have to be blacklisted.
Please post your glxinfo for your cards to the bug report if it is not yet in the list.
I do not yet backport the blacklist to branch in the hope to get more versions for the list.
BUG: 243181
BUG: 242985

 M  +2 -2      CMakeLists.txt  
 AM            kwin_blacklist.sh  
 A             kwin_blacklist.upd  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1150382
Comment 26 Steven Eastland 2010-07-19 23:59:39 UTC
I have to add this blacklist entry, else I get the "thumbnails too bright" bug.

[Blacklist][Lanczos]
intel=Mesa DRI Intel(R) Ironlake Mobile GEM 20100328 2010Q1 :-:2.1 Mesa 7.8.2
Comment 27 Thomas Lübking 2010-07-22 15:15:17 UTC
*** Bug 245397 has been marked as a duplicate of this bug. ***
Comment 28 Michal Svoboda 2010-07-22 16:00:17 UTC
this works for me
[Blacklist][Lanczos]
Advanced Micro Devices, Inc.=Mesa DRI R600 (RV770 9442) 20090101  TCL DRI2:-:2.0
 Mesa 7.8.2
Comment 29 Michal Svoboda 2010-07-22 16:23:05 UTC
Created attachment 49397 [details]
automated extraction of blacklist lines from gl(x)info


You didnt describe how _exactly_ one should transform gl(x)info output to the blacklist lines, and frankly to someone without GL knowledge it takes a few tries. So feel free to use the attached script to do the job: 
glxinfo | ./blacklist.pl 
or 
glinfo | ./blacklist.pl

(glxinfo is called glinfo by the mesa people)
Comment 30 Brian Beck 2010-07-22 18:22:53 UTC
I noticed that when I run glxinfo I don't get 'GL_VENDOR', 'GL_RENDERER', or 'GL_VERSION' keys.  e.g.

$ glxinfo -i | grep -i 'GL_VENDOR\|GL_RENDERER\|GL_VERSION'

returns nothing.  My complete output from glxinfo is in Comment #13.  However, if I run glxheads I get the proper keys:

GL_VERSION:  2.1 Mesa 7.7.1
GL_VENDOR:   Tungsten Graphics, Inc
GL_RENDERER: Mesa DRI Intel(R) 965GM GEM 20091221 2009Q4

This is the mesa-utils I have installed:
mesa-utils       7.7.1-1ubuntu3   Miscellaneous Mesa GL utilities

So if I run the script attached to Comment #29, and modify the regex to handle optional spaces before the keys, I get:

[Blacklist][Lanczos]
Tungsten Graphics, Inc=Mesa DRI Intel(R) 965GM GEM 20091221 2009Q4 :-:2.1 Mesa 7.7.1

[Blacklist][Blur]
Tungsten Graphics, Inc=Mesa DRI Intel(R) 965GM GEM 20091221 2009Q4 :-:2.1 Mesa 7.7.1

Putting this in my kwinrc and restarting kwin solves the problem.  Thank you so much guys.
Comment 31 Martin Flöser 2010-07-22 20:12:36 UTC
SVN commit 1153178 by graesslin:

Blacklist Ironlake Mobile for Lanczos
CCBUG: 243181

 M  +1 -1      kwin_blacklist.sh  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1153178
Comment 32 Martin Flöser 2010-07-26 18:23:28 UTC
*** Bug 245803 has been marked as a duplicate of this bug. ***
Comment 33 Mat Lechner 2010-07-27 10:19:04 UTC
Output of glxinfo:
[...]
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset GEM 20091221 2009Q4 x86/MMX/SSE2
OpenGL version string: 2.1 Mesa 7.7.1
[...]

I can confirm that Lanczos-filtering using a GM45 Express also does not work with   Mesa 7.7.1. It would be great if you could add this combination to the blacklist!
Comment 34 Martin Flöser 2010-07-27 20:36:44 UTC
SVN commit 1155622 by graesslin:

Blacklist GM45 Express Chipset GEM 20091221 for Mesa 7.7.1
CCBUG: 243181

 M  +1 -1      kwin_blacklist.sh  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1155622
Comment 35 Martin Flöser 2010-07-27 20:41:15 UTC
SVN commit 1155625 by graesslin:

Backport the driver blacklist for Lanczos and blur filter to 4.5 branch.
CCBUG: 243181
CCBUG: 242985



 M  +2 -2      CMakeLists.txt  
 AM            kwin_blacklist.sh  
 A             kwin_blacklist.upd  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1155625
Comment 36 Adam Pigg 2010-08-11 23:20:47 UTC
Created attachment 50033 [details]
glfinfo for card Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 03)
Comment 37 Martin Flöser 2010-08-12 21:17:47 UTC
*** Bug 247560 has been marked as a duplicate of this bug. ***
Comment 38 Martin Flöser 2010-08-15 22:54:46 UTC
*** Bug 247998 has been marked as a duplicate of this bug. ***
Comment 39 Thomas Lübking 2010-08-16 14:17:38 UTC
from bug #247998

$ glxinfo | grep -i opengl
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Mobile Intel® GM45 Express Chipset GEM
20091221 2009Q4 x86/MMX/SSE2
OpenGL version string: 2.1 Mesa 7.7.1
OpenGL shading language version string: 1.20
OpenGL extensions:
Comment 40 Thomas Lübking 2010-08-18 14:29:13 UTC
*** Bug 248230 has been marked as a duplicate of this bug. ***
Comment 41 Unknown 2010-08-18 14:46:21 UTC
(In reply to comment #40)
> *** Bug 248230 has been marked as a duplicate of this bug. ***

This was the bug I filed. I don't understand much of this topic, and deselecting Blur from Desktop Effects solves my performance problem.

I want to cooperate but when I run 
$ glxinfo | ./blacklist.pl 
as in Comment #29 I get errors and an almost empty result:

Use of uninitialized value $vals{"GL_VENDOR"} in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
[Blacklist][Lanczos]
=:-:

Use of uninitialized value $vals{"GL_VENDOR"} in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
[Blacklist][Blur]
=:-:

But
$ glxinfo | grep -i opengl

OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Mobility Radeon HD 3400 Series
OpenGL version string: 3.2.9756 Compatibility Profile Context
OpenGL shading language version string: 1.50
OpenGL extensions:
Comment 42 biopfeo 2010-08-23 12:41:41 UTC
Please add blur and Lanczos filter blacklist for this graphics card, too:

$ glxinfo | grep -i opengl
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20090712 2009Q2 RC3 x86/MMX/SSE2
OpenGL version string: 2.1 Mesa 7.5.2
OpenGL shading language version string: 1.20
OpenGL extensions:
Comment 43 Thomas Lübking 2010-09-01 09:22:12 UTC
*** Bug 249697 has been marked as a duplicate of this bug. ***
Comment 44 Martin Steigerwald 2010-09-10 14:59:58 UTC
I think I need a blacklist too. At least Plasma was behaving really jerky at times with high loads in X of above 60 or 70 recents. Combined with the Nepomuk / Virtuose desktop search process/cpu load storm it made my KDE desktop unusable for minutes. Plasma just didn't react to any click on a window title in the window bar or somewhere else for about a minute easily.

martin@shambhala:~/KDE/KDE-4.5-Effekte> glxinfo | ./blacklist.pl
Use of uninitialized value $vals{"GL_VENDOR"} in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
[Blacklist][Lanczos]
=:-:

Use of uninitialized value $vals{"GL_VENDOR"} in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
Use of uninitialized value in concatenation (.) or string at ./blacklist.pl line 11, <> chunk 1.
[Blacklist][Blur]
=:-:

martin@shambhala:~/KDE/KDE-4.5-Effekte> glxinfo | grep -i opengl
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 (RV350 4E50) 20090101 x86/MMX/SSE2 TCL DRI2
OpenGL version string: 1.5 Mesa 7.8.2
OpenGL extensions:

Thus I guess myself from glxinfo output:
martin@shambhala:~/KDE/KDE-4.5-Effekte> head -13 ~/.kde/share/config/kwinrc
[$Version]
update_info=kwin.upd:kde3.0r1,kwin3_plugin.upd:kde3.2,kwin_focus1.upd:kwin_focus1,kwin_focus2.upd:kwin_focus2,kwin_on_off.upd:kwin_on_off,kwin_blacklist.upd:Blacklist-4.5

[Blacklist][Blur]
Advanced Micro Devices=DRI R600:-:7.8.1,DRI R600:-:7.8.2
Ati=Radeon HD 3650:-:3.3.9901
DRI R300 Project=RV350:-:7.8.2
NVIDIA=GeForce 6150/PCI/SSE2:-:195

[Blacklist][Lanczos]
Advanced Micro Devices=DRI R600:-:7.8.1,DRI R600:-:7.8.2
DRI R300 Project=RV350:-:7.8.2
Intel=GM45 Express Chipset GEM 20100328:-:7.8.2,GM45 Express Chipset GEM 20091221:-:7.7.1,965GM GEM 20100328 2010Q1:-:7.8.2,965GM GEM 20091221 2009Q4:-:7.7.1,Ironlake Mobile GEM 20100328:-:7.8.2

I am now trying with DRI R300 instead, but I thought this might be too general. I also wonder about the vendor. glxinfo shows me "DRI R300 Project" so I used that, but the other entries had either ATI or Advanced Micro Devices.

I strongly suggest, disabling those effects by default and mark them as *experimental* in the configuration module - with a hint that certain gfx drivers might not yet be ready for prime time. Then anyone who enables those knows the risk of doing it.

I think this is better than to leave users that upgraded with a barely usable desktop.
Comment 45 Martin Steigerwald 2010-09-10 15:15:18 UTC
This one seems to do the trick:

martin@shambhala:~> head -13 ~/.kde/share/config/kwinrc
[...]
[Blacklist][Blur]
[...]
DRI R300 Project=DRI R300:-:7.8.2
[...]

[Blacklist][Lanczos]
[...]
DRI R300 Project=DRI R300:-:7.8.2
[...]

But I wonder whether its to generic. But when this is driver related instead of chip related it should be okay.

I do not yet know whether I need both entries. Is there a way to disable each effect manually in the GUI?

I good thing to have for KDE 4.6 would be an "blacklist" button for problematic effects somewhere in the configuration GUI. That would save the casual user from putting together some entries manually. But then ideally this would all just work out of the box, so when enough blacklists entries are collected and bugs are reported upstream, this should work out eventually.

I am willing to report upstream, but I need some details. If nothing helps, I can just report that these or that filter does not work with ATI Radeon DRI R300 driver yet and cross link bug reports.
Comment 46 Elias Probst 2010-09-20 20:02:11 UTC
Please add to the blacklist:
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) Ironlake Mobile GEM 20100328 2010Q1 
OpenGL version string: 2.1 Mesa 7.8.2
Comment 47 Martin Flöser 2010-09-20 20:20:54 UTC
Please do not reopen this bug report. The initial need is implemented - that is the infrastructure for the blacklist. Updates to the blacklist might be added in future KDE releases and/or by distributions. Btw the card from comment #46 is already blacklisted.
Comment 48 Thomas Lübking 2010-09-24 16:22:51 UTC
*** Bug 252095 has been marked as a duplicate of this bug. ***
Comment 49 tbohaning 2010-09-24 16:38:03 UTC
This is the info requested as part of 252095. Please advise is you need more/different/etc...

OpenGL vendor string: NVIDIA Corporation
OpenGL renderer string: GeForce GT 240/PCI/SSE2
OpenGL version string: 3.2.0 NVIDIA 195.36.24
OpenGL shading language version string: 1.50 NVIDIA via Cg compiler

Really appreciate your help with this issue!
Comment 50 Thomas Lübking 2010-10-01 16:45:12 UTC
*** Bug 252931 has been marked as a duplicate of this bug. ***
Comment 51 msnkipa 2010-10-04 09:06:54 UTC
Following doesn`t work properly (no miniatures, explosion doen`t work correcly):

name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
server glx extensions:
    GLX_ARB_multisample, GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_OML_swap_method, GLX_SGI_swap_control, GLX_SGIS_multisample, 
    GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group
client glx vendor string: SGI
client glx version string: 1.4
client glx extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_allocate_memory, 
    GLX_MESA_copy_sub_buffer, GLX_MESA_swap_control, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_OML_sync_control, 
    GLX_SGI_make_current_read, GLX_SGI_swap_control, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, 
    GLX_SGIX_visual_select_group, GLX_EXT_texture_from_pixmap
GLX extensions:
    GLX_ARB_get_proc_address, GLX_ARB_multisample, GLX_EXT_import_context, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_MESA_copy_sub_buffer, 
    GLX_MESA_swap_frame_usage, GLX_OML_swap_method, GLX_SGI_video_sync, 
    GLX_SGIS_multisample, GLX_SGIX_fbconfig, GLX_SGIX_visual_select_group, 
    GLX_EXT_texture_from_pixmap
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) 965GM GEM 20090712 2009Q2 RC3 
OpenGL version string: 2.1 Mesa 7.6
OpenGL extensions:
    GL_ARB_copy_buffer, GL_ARB_depth_texture, GL_ARB_draw_buffers, 
    GL_ARB_fragment_program, GL_ARB_fragment_program_shadow, 
    GL_ARB_fragment_shader, GL_ARB_framebuffer_object, 
    GL_ARB_half_float_pixel, GL_ARB_map_buffer_range, GL_ARB_multisample, 
    GL_ARB_multitexture, GL_ARB_occlusion_query, GL_ARB_pixel_buffer_object, 
    GL_ARB_point_parameters, GL_ARB_point_sprite, GL_ARB_seamless_cube_map, 
    GL_ARB_shader_objects, GL_ARB_shading_language_100, 
    GL_ARB_shading_language_120, GL_ARB_shadow, GL_ARB_sync, 
    GL_ARB_texture_border_clamp, GL_ARB_texture_compression, 
    GL_ARB_texture_cube_map, GL_ARB_texture_env_add, 
    GL_ARB_texture_env_combine, GL_ARB_texture_env_crossbar, 
    GL_ARB_texture_env_dot3, GL_ARB_texture_mirrored_repeat, 
    GL_ARB_texture_non_power_of_two, GL_ARB_texture_rectangle, 
    GL_ARB_transpose_matrix, GL_ARB_vertex_array_bgra, 
    GL_ARB_vertex_array_object, GL_ARB_vertex_buffer_object, 
    GL_ARB_vertex_program, GL_ARB_vertex_shader, GL_ARB_window_pos, 
    GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_equation_separate, GL_EXT_blend_func_separate, 
    GL_EXT_blend_logic_op, GL_EXT_blend_minmax, GL_EXT_blend_subtract, 
    GL_EXT_cull_vertex, GL_EXT_compiled_vertex_array, GL_EXT_copy_texture, 
    GL_EXT_draw_range_elements, GL_EXT_framebuffer_object, 
    GL_EXT_framebuffer_blit, GL_EXT_fog_coord, GL_EXT_gpu_program_parameters, 
    GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil, 
    GL_EXT_packed_pixels, GL_EXT_pixel_buffer_object, GL_EXT_point_parameters, 
    GL_EXT_polygon_offset, GL_EXT_provoking_vertex, GL_EXT_rescale_normal, 
    GL_EXT_secondary_color, GL_EXT_separate_specular_color, 
    GL_EXT_shadow_funcs, GL_EXT_stencil_two_side, GL_EXT_stencil_wrap, 
    GL_EXT_subtexture, GL_EXT_texture, GL_EXT_texture3D, 
    GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add, 
    GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3, 
    GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias, 
    GL_EXT_texture_object, GL_EXT_texture_rectangle, GL_EXT_texture_sRGB, 
    GL_EXT_texture_swizzle, GL_EXT_vertex_array, GL_EXT_vertex_array_bgra, 
    GL_3DFX_texture_compression_FXT1, GL_APPLE_client_storage, 
    GL_APPLE_packed_pixels, GL_APPLE_vertex_array_object, 
    GL_ATI_blend_equation_separate, GL_ATI_envmap_bumpmap, 
    GL_ATI_texture_env_combine3, GL_ATI_separate_stencil, 
    GL_IBM_multimode_draw_arrays, GL_IBM_rasterpos_clip, 
    GL_IBM_texture_mirrored_repeat, GL_INGR_blend_func_separate, 
    GL_MESA_pack_invert, GL_MESA_texture_signed_rgba, GL_MESA_ycbcr_texture, 
    GL_MESA_window_pos, GL_NV_blend_square, GL_NV_light_max_exponent, 
    GL_NV_point_sprite, GL_NV_texture_env_combine4, GL_NV_texture_rectangle, 
    GL_NV_texgen_reflection, GL_NV_vertex_program, GL_NV_vertex_program1_1, 
    GL_OES_read_format, GL_SGIS_generate_mipmap, GL_SGIS_texture_border_clamp, 
    GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_SUN_multi_draw_arrays
glu version: 1.3
glu extensions:
    GLU_EXT_nurbs_tessellator, GLU_EXT_object_space_tess

   visual  x  bf lv rg d st colorbuffer ax dp st accumbuffer  ms  cav
 id dep cl sp sz l  ci b ro  r  g  b  a bf th cl  r  g  b  a ns b eat
----------------------------------------------------------------------
0x21 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x22 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0xc4 24 tc  0 24  0 r  .  .  8  8  8  0  0  0  0  0  0  0  0  0 0 None
0xc5 24 tc  0 24  0 r  .  .  8  8  8  0  0  0  0 16 16 16  0  0 0 Slow
0xc6 24 tc  0 24  0 r  y  .  8  8  8  0  0  0  0  0  0  0  0  0 0 None
0xc7 24 tc  0 24  0 r  y  .  8  8  8  0  0  0  0 16 16 16  0  0 0 Slow
0xc8 24 tc  0 24  0 r  y  .  8  8  8  0  0  0  0  0  0  0  0  0 0 None
0xc9 24 tc  0 24  0 r  y  .  8  8  8  0  0  0  0 16 16 16  0  0 0 Slow
0xca 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0xcb 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0xcc 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0xcd 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0xce 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0xcf 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0xd0 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  8  0  0  0  0  0 0 None
0xd1 24 tc  0 24  0 r  .  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0xd2 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  8  0  0  0  0  0 0 None
0xd3 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0xd4 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  8  0  0  0  0  0 0 None
0xd5 24 tc  0 24  0 r  y  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0xd6 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0xd7 24 tc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0xd8 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0xd9 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0xda 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0xdb 24 tc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0xdc 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0xdd 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0xde 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0xdf 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0xe0 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0xe1 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0xe2 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0xe3 24 tc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0xe4 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0xe5 24 tc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0xe6 24 dc  0 24  0 r  .  .  8  8  8  0  0  0  0  0  0  0  0  0 0 None
0xe7 24 dc  0 24  0 r  .  .  8  8  8  0  0  0  0 16 16 16  0  0 0 Slow
0xe8 24 dc  0 24  0 r  y  .  8  8  8  0  0  0  0  0  0  0  0  0 0 None
0xe9 24 dc  0 24  0 r  y  .  8  8  8  0  0  0  0 16 16 16  0  0 0 Slow
0xea 24 dc  0 24  0 r  y  .  8  8  8  0  0  0  0  0  0  0  0  0 0 None
0xeb 24 dc  0 24  0 r  y  .  8  8  8  0  0  0  0 16 16 16  0  0 0 Slow
0xec 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0xed 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0xee 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0xef 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0xf0 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  0  0  0  0  0  0 0 None
0xf1 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  0 16 16 16  0  0 0 Slow
0xf2 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  8  0  0  0  0  0 0 None
0xf3 24 dc  0 24  0 r  .  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0xf4 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  8  0  0  0  0  0 0 None
0xf5 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0xf6 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  8  0  0  0  0  0 0 None
0xf7 24 dc  0 24  0 r  y  .  8  8  8  0  0 24  8 16 16 16  0  0 0 Slow
0xf8 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0xf9 24 dc  0 32  0 r  .  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0xfa 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0xfb 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0xfc 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0  0  0  0  0  0 0 None
0xfd 24 dc  0 32  0 r  y  .  8  8  8  8  0  0  0 16 16 16 16  0 0 Slow
0xfe 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0xff 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x100 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x101 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x102 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0  0  0  0  0  0 0 None
0x103 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  0 16 16 16 16  0 0 Slow
0x104 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x105 24 dc  0 32  0 r  .  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x106 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x107 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None
0x108 24 dc  0 32  0 r  y  .  8  8  8  8  0 24  8 16 16 16 16  0 0 Slow
0x63 32 tc  0 32  0 r  y  .  8  8  8  8  0 24  8  0  0  0  0  0 0 None

PS: Some times ago on the Intel 845GME explosion effect in compize work properly, why this effect doesn`t work in KDE on GME965?
Comment 52 Thomas Lübking 2010-10-04 17:28:36 UTC
*** Bug 252931 has been marked as a duplicate of this bug. ***
Comment 53 Wilhelm Canaris 2010-10-21 23:23:03 UTC
glxinfo | grep -i opengl
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) Ironlake Mobile GEM 20100330 DEVELOPMENT 
OpenGL version string: 2.1 Mesa 7.9-devel
OpenGL shading language version string: 1.20
OpenGL extensions:
Comment 54 Thomas Lübking 2010-10-21 23:49:27 UTC
"where there is a bash, there is a way" - this will print the _exact_ driver string, you may wish to ease the version part in order to catch updates...

echo "`glxinfo | grep 'OpenGL renderer string' | sed -e 's/^.*: //'`:-:`glxinfo | grep 'OpenGL version string' | sed -e 's/^.*: //'`"
Comment 55 Grissiom 2010-10-27 15:42:38 UTC
*** Bug 255334 has been marked as a duplicate of this bug. ***
Comment 56 Thomas Lübking 2010-11-01 16:15:51 UTC
*** Bug 255779 has been marked as a duplicate of this bug. ***
Comment 57 Wojciech Ryrych 2010-11-09 13:13:57 UTC
[Blacklist][Blur]
DRI R300 Project=Mesa DRI R300 (RS400 5A61) 20090101 x86/MMX/SSE2 NO-TCL DRI2:-:1.5 Mesa 7.9-devel

[Blacklist][Lanczos]
DRI R300 Project=Mesa DRI R300 (RS400 5A61) 20090101 x86/MMX/SSE2 NO-TCL DRI2:-:1.5 Mesa 7.9-devel
Comment 58 Nicolas Bigaouette 2010-11-09 19:39:27 UTC
I have some flickering using the desktop grid on my Intel X3100 (965?). Blur is disabled, but I tried to blacklist the Lanczos filter using:
Tungsten Graphics, Inc=Mesa DRI Intel(R) Q35 GEM 20100328 2010Q1:-:1.4 Mesa 7.8.3

Re-launching kwin --replace, I see in the terminal "kwin(32004) KWin::LanczosFilter::init: Lanczos Filter disabled by driver blacklist".
I still see some flicker, but less though.
Comment 59 Thomas Lübking 2010-11-11 20:52:45 UTC
SVN commit 1195698 by luebking:

kick trilinear filtering if favor of the lanczos filter (now default, unless blacklisted)
make the scale method configurable and align the UI for GL and Xrender

CCBUG: 243181



 M  +22 -9     kcmkwin/kwincompositing/main.cpp  
 M  +3 -0      kcmkwin/kwincompositing/main.h  
 M  +128 -96   kcmkwin/kwincompositing/main.ui  
 M  +8 -2      lanczosfilter.cpp  
 M  +1 -1      options.cpp  
 M  +0 -22     scene_opengl.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1195698
Comment 60 Martin Steigerwald 2010-11-11 21:34:43 UTC
(In reply to comment #45)
> This one seems to do the trick:
> 
> martin@shambhala:~> head -13 ~/.kde/share/config/kwinrc
> [...]
> [Blacklist][Blur]
> [...]
> DRI R300 Project=DRI R300:-:7.8.2
> [...]
> 
> [Blacklist][Lanczos]
> [...]
> DRI R300 Project=DRI R300:-:7.8.2
> [...]
> 
> But I wonder whether its to generic. But when this is driver related instead of
> chip related it should be okay.
> 
> I do not yet know whether I need both entries. Is there a way to disable each
> effect manually in the GUI?

Hmmm, strangely enough it seems I do not need any of these entries anymore - I removed them some time ago and all is well -, but version of MESA is the same:

martin@shambhala:~> glxinfo | grep -i opengl
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 (RV350 4E50) 20090101 x86/MMX/SSE2 TCL DRI2
OpenGL version string: 1.5 Mesa 7.8.2
OpenGL extensions:

Well I upgraded Linux Kernel to:

martin@shambhala:~> cat /proc/version
Linux version 2.6.36-tp42-gtt-vram-apart-v2-dirty (martin@shambhala) (gcc version 4.4.5 (Debian 4.4.5-4) ) #1 PREEMPT Thu Oct 21 12:10:49 CEST 2010

This is vanilla with special fix from:

[Bug 28402] random radeon/kms/drm related freezes with kernel 2.6.34
https://bugs.freedesktop.org/show_bug.cgi?id=28402
Comment 61 Thomas Lübking 2010-11-13 13:34:07 UTC
*** Bug 256791 has been marked as a duplicate of this bug. ***
Comment 62 Mark 2010-11-30 22:24:40 UTC
comment to #59:
>SVN commit 1195698 by luebking:
>
>kick trilinear filtering if favor of the lanczos filter (now default, unless
>blacklisted)
>make the scale method configurable and align the UI for GL and Xrender
>
>CCBUG: 243181
>
>
>
> M  +22 -9     kcmkwin/kwincompositing/main.cpp  
> M  +3 -0      kcmkwin/kwincompositing/main.h  
> M  +128 -96   kcmkwin/kwincompositing/main.ui  
> M  +8 -2      lanczosfilter.cpp  
> M  +1 -1      options.cpp  
> M  +0 -22     scene_opengl.cpp  
>
>
>WebSVN link: http://websvn.kde.org/?view=rev&revision=1195698

did the patch made it to kde4.6beta1? 
Because I was going to fill in a regression, 
kde 4.5 compoziting+effects ok, in 4.6b1 the effects are really slow (they 
get disabled automatically and desktop is fine then). 

2.6.36.1 kernel, 
xf86-video-intel 2.13.0-4 driver
same settings in kde 4.5 work fine. 
(without effects, kde 4.6 is considerably faster than 4.5, great job! :) )
btw, shall I file a new bug for 4.6 or can we add to this one?
Comment 63 Thomas Lübking 2010-11-30 22:37:52 UTC
neither, nor.

either the slowness is unrelated to this item (you'll then have to figure whether maybe some effect causes this, try blurring, and file a bug on it) or you have to set the scale method to "smooth" rather than "accurate" (which is the lanczos filter, TLF has been removed for triggering crashes on at least at chips and not being a real advance anyway)

the lanczos filter (only used during some scaling effects like present windows) uses some caching now and thus should be "fast enough" (and apparently is on ati & nvidia chips) but if it's still just too slow on a majority of intel chips, we may have to rethink the (unconditional) default setting.
Comment 64 Thomas Lübking 2010-12-05 22:12:03 UTC
*** Bug 258861 has been marked as a duplicate of this bug. ***
Comment 65 Martin Flöser 2011-03-13 09:14:59 UTC
*** Bug 255245 has been marked as a duplicate of this bug. ***
Comment 66 Ozan Çağlayan 2011-04-06 01:34:39 UTC
Hi,

With the latest 7.9.2 stable update of Mesa, the developers dropped some identifier strings from the DRI driver which causes the i965 driver to segfault the X server every time a window thumbnail is generated either through Alt+Tab or the panel hover effect: 

http://cgit.freedesktop.org/mesa/mesa/commit/?h=7.9&id=dfae3ffa0f5290d2ee1dcadbd6c125de468f032f

Reverting the commit in Mesa fixes the problem but I think this should be handled in KDE/Kwin?
Comment 67 Martin Flöser 2011-04-06 07:07:15 UTC
Sorry, we do not workaround driver regressions of outdated drivers. And we cannot workaround as 4.5 is already EOL and 4.6 should only be used with mesa 7.10 or later.
Comment 68 Thomas Lübking 2011-04-06 12:25:01 UTC
Plus in 4.6 can you just select the filter, no need for a blacklist (and lanczos is meanwhile by default off for intel chips?)